<?xml version="1.0"?>
<document>

  <properties>
    <author email="dion@multitask.com.au">dIon Gillard</author>
    <author email="plynch@apache.org">Peter Lynch</author>
    <title>Futures for the J2EE Plug-in</title>
  </properties>

  <body>
  <section name="Futures">
    <p>
    The following is a list of things that are being contemplated
    for the Maven appserver Plug-in.
    </p>
    <ol>
      <li>
        We need to have Class-Path entries in generated J2EE EJB jars and
        such. Quite tricky as it doesn't work the same for all application
        servers (and across versions of them !).
      </li>
      <li>
        Allow integration with a 'webserver' plugin so that application server
        requests can seamlessly be hooked into the webserver.
      </li>
      <li>
        Document how other Maven plugins that need an application server
        instance to do their work can use this plugin.
      </li>
   </ol>
   </section>
 </body>
</document>
